pro plot3
;
; Program plots data for Sigma-Z along Z/T thru the all four
; layers of a four ply Type-II laminate at H=0 for three lines 
; corresponding to MECH, MECH+THERM, and MECH+THERM+MOIST. 
;
;       File data2.dat created by savg4lnc.f  
;       Results saved to sigz4lnc.gif
;
;  Program written by RD.Kriz, 19Sept00
;
status=DC_READ_FIXED('data3.dat',rows,Format='(E11.4)',/Column)
numr=size(rows)
numberr=numr(1)
openr,1,'data3.dat'
aa=fltarr(3) & bb=fltarr(3)
data=fltarr(numberr)
datc=fltarr(numberr)
datd=fltarr(numberr)
date=fltarr(numberr)
;
datline=fltarr(2)
dat1=fltarr(2)
    dat1(*)=0.5/2.0
dat2=fltarr(2)
    dat2(*)=1.0/2.0
dat3=fltarr(2)
    dat3(*)=1.5/2.0
;
datx=fltarr(2)
zero=fltarr(2)
;
datx=fltarr(2)
zero=fltarr(2)
for i=1,numberr do begin
 readf,1,dataa,datcc,datdd,datee
data(i-1)=dataa
datc(i-1)=datcc
datd(i-1)=datdd
date(i-1)=datee
endfor
aa(0)=max(datc) & aa(1)=max(datd) & aa(2)=max(date)
max=max(aa)
bb(0)=min(datc) & bb(1)=min(datd) & bb(2)=min(date)
min=min(bb)
datline(0)=min & datline(1)=max
datx(0)=data(0) & datx(1)=data(numberr-1)
zero(0)=0.0 & zero(1)=0.0
print,data,datc,datd,date
set_plot,'pm'
!P.Background=254
!X.Range=[min,max]
!Y.Range=[data(0),data(numberr-1)]
!P.Charsize=1.4
!P.Position(*)=0
 !P.Position(0)=110
 !P.Position(1)=50
 !P.Position(2)=580
 !P.Position(3)=450
TEK_COLOR
openzbuff,640,480
plot,zero,datx,Color=0,/DEVICE,/NOCLIP,$
Title='Normal Stress, Sigma-Z, Thru a Four Ply Laminate at H=0',$
Xtitle='Sigma-Z,  lb/in**2',$
Ytitle='Z/T'
oplot,datline,dat1,Color=0
oplot,datline,dat2,Color=0
oplot,datline,dat3,Color=0
print,'Position Coord.s',!P.Position
oplot,datc,data,Psym=-2,Color=2
oplot,datd,data,Psym=-4,Color=5
oplot,date,data,Psym=-6,Color=8
closezbuff,'sigz4lnc.gif'
close,1
return
end
